Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Click To Pay

Create SRCi Transaction

post

Provide all required data to the Merchant/PSP to build a click to pay transaction authorization request.

ヘッダーパラメータ
authorizationstring · 最小: 1 · 最大: 512必須

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · 最小: 1 · 最大: 36必須

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

本文
merchantIdstring · 最小: 1 · 最大: 128必須

Identifier of the merchant provided by Thales at on-boarding.

transactionIdstring · 最小: 1 · 最大: 128必須

The unique transaction identifier.

レスポンス
201

Created

application/json
encryptedDatastring · 最大: 8196必須

The payment credentials data encrypted in a JWE structure (see security section in the documentation).

Once decrypted, the JWE plaintext contains the following JSON object:

JSON field parameter namedescriptionMOCLength
dpanThe token PAN value provided for network token.CUp to 19
expThe token expiry date in the format MMYY provided for network token.C4
cryptogramThe payment cryptogram to use with the token for a payment. Presence of the cryptogram depends on the transaction type and the scheme.CUp to 256
fpanThe funding card PAN value. Only provided for PCI token.CUp to 19
fpanExpThe funding card expiry date in the format MMYY. Only provided for PCI token.C4

Example: {"dpan:"9580981500100002", "exp":"1222", "cryptogram": "45f8grzty7f4f5gs5s2c"}

post/srci/transactions
POST /tsh-cof/srci/transactions HTTP/1.1
Host: thales.api.com
authorization: text
x-correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 188

{
  "merchantId": "85f6a8d7-a946-46a2-8c9d-075701e678f9",
  "transactionId": "0a4e0d3.4f339be7.cbfa197b588400089c08aa60cc11934eb8009c1c",
  "transactionData": {
    "amount": "100.00",
    "currencyCode": "USD"
  }
}
{
  "encryptedData": "eyJhbGciOiJSU0EtT...GoWAB7Ucw"
}

Notify SRCi

post

Notify the Click to Pay system about the outcome of a transaction authorization.

ヘッダーパラメータ
authorizationstring · 最小: 1 · 最大: 512必須

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · 最小: 1 · 最大: 36必須

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

本文
merchantIdstring · 最小: 1 · 最大: 128必須

Identifier of the merchant provided by Thales at on-boarding.

transactionIdstring · 最小: 1 · 最大: 128必須

The unique transaction identifier.

レスポンス
202

Accepted

コンテンツなし

post/srci/transactions/confirmations
POST /tsh-cof/srci/transactions/confirmations HTTP/1.1
Host: thales.api.com
authorization: text
x-correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 434

{
  "merchantId": "85f6a8d7-a946-46a2-8c9d-075701e678f9",
  "transactionId": "0a4e0d3.4f339be7.cbfa197b588400089c08aa60cc11934eb8009c1c",
  "confirmationData": {
    "eventType": "AUTHORISE",
    "eventStatus": "SUCCESS",
    "status": "CREATED",
    "reason": "Order Successfully Created",
    "timestamp": "2021-11-10T09:08:24.479Z",
    "networkAuthorizationCode": "2020404",
    "networkTransactionIdentifier": "mastercard"
  },
  "transactionData": {
    "amount": "100.00",
    "currencyCode": "USD"
  }
}

コンテンツなし

Update Merchant Click to Pay

put

Update the merchant setup for click to pay.

パスパラメータ
merchantIdstring · 最小: 1 · 最大: 128必須

The unique merchant identifier.

ヘッダーパラメータ
authorizationstring · 最小: 1 · 最大: 512必須

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · 最小: 1 · 最大: 36必須

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

本文
merchantLegalNamestring · 最小: 1 · 最大: 60必須

Legal name of the merchant.

Pattern: ^[A-Za-z0-9-_. ]+$
websiteUrlstring · 最小: 1 · 最大: 100必須

Merchant website URL.

Example: http://www.mymerchant.comPattern: ^[A-Za-z0-9-_.:/]+$
merchantCountrystring · 最小: 2 · 最大: 2必須

Merchant country in ISO-3166-1 alpha-2 two-letter country code.

Example: US
レスポンス
202

Accepted

コンテンツなし

put/merchants/{merchantId}/srci
PUT /tsh-cof/merchants/{merchantId}/srci HTTP/1.1
Host: thales.api.com
authorization: text
x-correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "supportedCardBrands": "MASTERCARD",
  "merchantLegalName": "SRCI Merchant",
  "websiteUrl": "http://srci-merchant.com",
  "merchantCountry": "US"
}

コンテンツなし

最終更新

役に立ちましたか?